Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network104.0.0.0/6
Usable hosts67,108,862
Subnet mask252.0.0.0
Addresses67,108,864
Network address
104.0.0.0
Broadcast address
107.255.255.255
First usable
104.0.0.1
Last usable
107.255.255.254
Usable hosts
67,108,862 (67,108,864 less the network and broadcast addresses)
Subnet mask
252.0.0.0
Wildcard mask
3.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/6
Type
Public public
Old class
A (default /8)
As numbers
Hex 68000000 · Integer 1744830464 to 1811939327
Reverse DNS zones
104.in-addr.arpa
105.in-addr.arpa
106.in-addr.arpa
107.in-addr.arpa
/6 is not on a 8-bit boundary, so it takes 4 /8 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01101000.00000000.00000000.00000000104.0.0.0
Subnet mask11111100.00000000.00000000.00000000252.0.0.0
Network01101000.00000000.00000000.00000000104.0.0.0
Broadcast01101011.11111111.11111111.11111111107.255.255.255
Split into smaller subnets/17

104.0.0.0/6 makes 2,048 subnets of /17; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1104.0.0.0/17104.0.0.1 to 104.0.127.254104.0.127.25532,766
2104.0.128.0/17104.0.128.1 to 104.0.255.254104.0.255.25532,766
3104.1.0.0/17104.1.0.1 to 104.1.127.254104.1.127.25532,766
4104.1.128.0/17104.1.128.1 to 104.1.255.254104.1.255.25532,766
5104.2.0.0/17104.2.0.1 to 104.2.127.254104.2.127.25532,766
6104.2.128.0/17104.2.128.1 to 104.2.255.254104.2.255.25532,766
7104.3.0.0/17104.3.0.1 to 104.3.127.254104.3.127.25532,766
8104.3.128.0/17104.3.128.1 to 104.3.255.254104.3.255.25532,766
9104.4.0.0/17104.4.0.1 to 104.4.127.254104.4.127.25532,766
10104.4.128.0/17104.4.128.1 to 104.4.255.254104.4.255.25532,766
11104.5.0.0/17104.5.0.1 to 104.5.127.254104.5.127.25532,766
12104.5.128.0/17104.5.128.1 to 104.5.255.254104.5.255.25532,766
13104.6.0.0/17104.6.0.1 to 104.6.127.254104.6.127.25532,766
14104.6.128.0/17104.6.128.1 to 104.6.255.254104.6.255.25532,766
15104.7.0.0/17104.7.0.1 to 104.7.127.254104.7.127.25532,766
16104.7.128.0/17104.7.128.1 to 104.7.255.254104.7.255.25532,766
17104.8.0.0/17104.8.0.1 to 104.8.127.254104.8.127.25532,766
18104.8.128.0/17104.8.128.1 to 104.8.255.254104.8.255.25532,766
19104.9.0.0/17104.9.0.1 to 104.9.127.254104.9.127.25532,766
20104.9.128.0/17104.9.128.1 to 104.9.255.254104.9.255.25532,766
21104.10.0.0/17104.10.0.1 to 104.10.127.254104.10.127.25532,766
22104.10.128.0/17104.10.128.1 to 104.10.255.254104.10.255.25532,766
23104.11.0.0/17104.11.0.1 to 104.11.127.254104.11.127.25532,766
24104.11.128.0/17104.11.128.1 to 104.11.255.254104.11.255.25532,766
25104.12.0.0/17104.12.0.1 to 104.12.127.254104.12.127.25532,766
26104.12.128.0/17104.12.128.1 to 104.12.255.254104.12.255.25532,766
27104.13.0.0/17104.13.0.1 to 104.13.127.254104.13.127.25532,766
28104.13.128.0/17104.13.128.1 to 104.13.255.254104.13.255.25532,766
29104.14.0.0/17104.14.0.1 to 104.14.127.254104.14.127.25532,766
30104.14.128.0/17104.14.128.1 to 104.14.255.254104.14.255.25532,766
31104.15.0.0/17104.15.0.1 to 104.15.127.254104.15.127.25532,766
32104.15.128.0/17104.15.128.1 to 104.15.255.254104.15.255.25532,766
33104.16.0.0/17104.16.0.1 to 104.16.127.254104.16.127.25532,766
34104.16.128.0/17104.16.128.1 to 104.16.255.254104.16.255.25532,766
35104.17.0.0/17104.17.0.1 to 104.17.127.254104.17.127.25532,766
36104.17.128.0/17104.17.128.1 to 104.17.255.254104.17.255.25532,766
37104.18.0.0/17104.18.0.1 to 104.18.127.254104.18.127.25532,766
38104.18.128.0/17104.18.128.1 to 104.18.255.254104.18.255.25532,766
39104.19.0.0/17104.19.0.1 to 104.19.127.254104.19.127.25532,766
40104.19.128.0/17104.19.128.1 to 104.19.255.254104.19.255.25532,766
41104.20.0.0/17104.20.0.1 to 104.20.127.254104.20.127.25532,766
42104.20.128.0/17104.20.128.1 to 104.20.255.254104.20.255.25532,766
43104.21.0.0/17104.21.0.1 to 104.21.127.254104.21.127.25532,766
44104.21.128.0/17104.21.128.1 to 104.21.255.254104.21.255.25532,766
45104.22.0.0/17104.22.0.1 to 104.22.127.254104.22.127.25532,766
46104.22.128.0/17104.22.128.1 to 104.22.255.254104.22.255.25532,766
47104.23.0.0/17104.23.0.1 to 104.23.127.254104.23.127.25532,766
48104.23.128.0/17104.23.128.1 to 104.23.255.254104.23.255.25532,766
49104.24.0.0/17104.24.0.1 to 104.24.127.254104.24.127.25532,766
50104.24.128.0/17104.24.128.1 to 104.24.255.254104.24.255.25532,766
51104.25.0.0/17104.25.0.1 to 104.25.127.254104.25.127.25532,766
52104.25.128.0/17104.25.128.1 to 104.25.255.254104.25.255.25532,766
53104.26.0.0/17104.26.0.1 to 104.26.127.254104.26.127.25532,766
54104.26.128.0/17104.26.128.1 to 104.26.255.254104.26.255.25532,766
55104.27.0.0/17104.27.0.1 to 104.27.127.254104.27.127.25532,766
56104.27.128.0/17104.27.128.1 to 104.27.255.254104.27.255.25532,766
57104.28.0.0/17104.28.0.1 to 104.28.127.254104.28.127.25532,766
58104.28.128.0/17104.28.128.1 to 104.28.255.254104.28.255.25532,766
59104.29.0.0/17104.29.0.1 to 104.29.127.254104.29.127.25532,766
60104.29.128.0/17104.29.128.1 to 104.29.255.254104.29.255.25532,766
61104.30.0.0/17104.30.0.1 to 104.30.127.254104.30.127.25532,766
62104.30.128.0/17104.30.128.1 to 104.30.255.254104.30.255.25532,766
63104.31.0.0/17104.31.0.1 to 104.31.127.254104.31.127.25532,766
64104.31.128.0/17104.31.128.1 to 104.31.255.254104.31.255.25532,766
65104.32.0.0/17104.32.0.1 to 104.32.127.254104.32.127.25532,766
66104.32.128.0/17104.32.128.1 to 104.32.255.254104.32.255.25532,766
67104.33.0.0/17104.33.0.1 to 104.33.127.254104.33.127.25532,766
68104.33.128.0/17104.33.128.1 to 104.33.255.254104.33.255.25532,766
69104.34.0.0/17104.34.0.1 to 104.34.127.254104.34.127.25532,766
70104.34.128.0/17104.34.128.1 to 104.34.255.254104.34.255.25532,766
71104.35.0.0/17104.35.0.1 to 104.35.127.254104.35.127.25532,766
72104.35.128.0/17104.35.128.1 to 104.35.255.254104.35.255.25532,766
73104.36.0.0/17104.36.0.1 to 104.36.127.254104.36.127.25532,766
74104.36.128.0/17104.36.128.1 to 104.36.255.254104.36.255.25532,766
75104.37.0.0/17104.37.0.1 to 104.37.127.254104.37.127.25532,766
76104.37.128.0/17104.37.128.1 to 104.37.255.254104.37.255.25532,766
77104.38.0.0/17104.38.0.1 to 104.38.127.254104.38.127.25532,766
78104.38.128.0/17104.38.128.1 to 104.38.255.254104.38.255.25532,766
79104.39.0.0/17104.39.0.1 to 104.39.127.254104.39.127.25532,766
80104.39.128.0/17104.39.128.1 to 104.39.255.254104.39.255.25532,766
81104.40.0.0/17104.40.0.1 to 104.40.127.254104.40.127.25532,766
82104.40.128.0/17104.40.128.1 to 104.40.255.254104.40.255.25532,766
83104.41.0.0/17104.41.0.1 to 104.41.127.254104.41.127.25532,766
84104.41.128.0/17104.41.128.1 to 104.41.255.254104.41.255.25532,766
85104.42.0.0/17104.42.0.1 to 104.42.127.254104.42.127.25532,766
86104.42.128.0/17104.42.128.1 to 104.42.255.254104.42.255.25532,766
87104.43.0.0/17104.43.0.1 to 104.43.127.254104.43.127.25532,766
88104.43.128.0/17104.43.128.1 to 104.43.255.254104.43.255.25532,766
89104.44.0.0/17104.44.0.1 to 104.44.127.254104.44.127.25532,766
90104.44.128.0/17104.44.128.1 to 104.44.255.254104.44.255.25532,766
91104.45.0.0/17104.45.0.1 to 104.45.127.254104.45.127.25532,766
92104.45.128.0/17104.45.128.1 to 104.45.255.254104.45.255.25532,766
93104.46.0.0/17104.46.0.1 to 104.46.127.254104.46.127.25532,766
94104.46.128.0/17104.46.128.1 to 104.46.255.254104.46.255.25532,766
95104.47.0.0/17104.47.0.1 to 104.47.127.254104.47.127.25532,766
96104.47.128.0/17104.47.128.1 to 104.47.255.254104.47.255.25532,766
97104.48.0.0/17104.48.0.1 to 104.48.127.254104.48.127.25532,766
98104.48.128.0/17104.48.128.1 to 104.48.255.254104.48.255.25532,766
99104.49.0.0/17104.49.0.1 to 104.49.127.254104.49.127.25532,766
100104.49.128.0/17104.49.128.1 to 104.49.255.254104.49.255.25532,766
101104.50.0.0/17104.50.0.1 to 104.50.127.254104.50.127.25532,766
102104.50.128.0/17104.50.128.1 to 104.50.255.254104.50.255.25532,766
103104.51.0.0/17104.51.0.1 to 104.51.127.254104.51.127.25532,766
104104.51.128.0/17104.51.128.1 to 104.51.255.254104.51.255.25532,766
105104.52.0.0/17104.52.0.1 to 104.52.127.254104.52.127.25532,766
106104.52.128.0/17104.52.128.1 to 104.52.255.254104.52.255.25532,766
107104.53.0.0/17104.53.0.1 to 104.53.127.254104.53.127.25532,766
108104.53.128.0/17104.53.128.1 to 104.53.255.254104.53.255.25532,766
109104.54.0.0/17104.54.0.1 to 104.54.127.254104.54.127.25532,766
110104.54.128.0/17104.54.128.1 to 104.54.255.254104.54.255.25532,766
111104.55.0.0/17104.55.0.1 to 104.55.127.254104.55.127.25532,766
112104.55.128.0/17104.55.128.1 to 104.55.255.254104.55.255.25532,766
113104.56.0.0/17104.56.0.1 to 104.56.127.254104.56.127.25532,766
114104.56.128.0/17104.56.128.1 to 104.56.255.254104.56.255.25532,766
115104.57.0.0/17104.57.0.1 to 104.57.127.254104.57.127.25532,766
116104.57.128.0/17104.57.128.1 to 104.57.255.254104.57.255.25532,766
117104.58.0.0/17104.58.0.1 to 104.58.127.254104.58.127.25532,766
118104.58.128.0/17104.58.128.1 to 104.58.255.254104.58.255.25532,766
119104.59.0.0/17104.59.0.1 to 104.59.127.254104.59.127.25532,766
120104.59.128.0/17104.59.128.1 to 104.59.255.254104.59.255.25532,766
121104.60.0.0/17104.60.0.1 to 104.60.127.254104.60.127.25532,766
122104.60.128.0/17104.60.128.1 to 104.60.255.254104.60.255.25532,766
123104.61.0.0/17104.61.0.1 to 104.61.127.254104.61.127.25532,766
124104.61.128.0/17104.61.128.1 to 104.61.255.254104.61.255.25532,766
125104.62.0.0/17104.62.0.1 to 104.62.127.254104.62.127.25532,766
126104.62.128.0/17104.62.128.1 to 104.62.255.254104.62.255.25532,766
127104.63.0.0/17104.63.0.1 to 104.63.127.254104.63.127.25532,766
128104.63.128.0/17104.63.128.1 to 104.63.255.254104.63.255.25532,766
129104.64.0.0/17104.64.0.1 to 104.64.127.254104.64.127.25532,766
130104.64.128.0/17104.64.128.1 to 104.64.255.254104.64.255.25532,766
131104.65.0.0/17104.65.0.1 to 104.65.127.254104.65.127.25532,766
132104.65.128.0/17104.65.128.1 to 104.65.255.254104.65.255.25532,766
133104.66.0.0/17104.66.0.1 to 104.66.127.254104.66.127.25532,766
134104.66.128.0/17104.66.128.1 to 104.66.255.254104.66.255.25532,766
135104.67.0.0/17104.67.0.1 to 104.67.127.254104.67.127.25532,766
136104.67.128.0/17104.67.128.1 to 104.67.255.254104.67.255.25532,766
137104.68.0.0/17104.68.0.1 to 104.68.127.254104.68.127.25532,766
138104.68.128.0/17104.68.128.1 to 104.68.255.254104.68.255.25532,766
139104.69.0.0/17104.69.0.1 to 104.69.127.254104.69.127.25532,766
140104.69.128.0/17104.69.128.1 to 104.69.255.254104.69.255.25532,766
141104.70.0.0/17104.70.0.1 to 104.70.127.254104.70.127.25532,766
142104.70.128.0/17104.70.128.1 to 104.70.255.254104.70.255.25532,766
143104.71.0.0/17104.71.0.1 to 104.71.127.254104.71.127.25532,766
144104.71.128.0/17104.71.128.1 to 104.71.255.254104.71.255.25532,766
145104.72.0.0/17104.72.0.1 to 104.72.127.254104.72.127.25532,766
146104.72.128.0/17104.72.128.1 to 104.72.255.254104.72.255.25532,766
147104.73.0.0/17104.73.0.1 to 104.73.127.254104.73.127.25532,766
148104.73.128.0/17104.73.128.1 to 104.73.255.254104.73.255.25532,766
149104.74.0.0/17104.74.0.1 to 104.74.127.254104.74.127.25532,766
150104.74.128.0/17104.74.128.1 to 104.74.255.254104.74.255.25532,766
151104.75.0.0/17104.75.0.1 to 104.75.127.254104.75.127.25532,766
152104.75.128.0/17104.75.128.1 to 104.75.255.254104.75.255.25532,766
153104.76.0.0/17104.76.0.1 to 104.76.127.254104.76.127.25532,766
154104.76.128.0/17104.76.128.1 to 104.76.255.254104.76.255.25532,766
155104.77.0.0/17104.77.0.1 to 104.77.127.254104.77.127.25532,766
156104.77.128.0/17104.77.128.1 to 104.77.255.254104.77.255.25532,766
157104.78.0.0/17104.78.0.1 to 104.78.127.254104.78.127.25532,766
158104.78.128.0/17104.78.128.1 to 104.78.255.254104.78.255.25532,766
159104.79.0.0/17104.79.0.1 to 104.79.127.254104.79.127.25532,766
160104.79.128.0/17104.79.128.1 to 104.79.255.254104.79.255.25532,766
161104.80.0.0/17104.80.0.1 to 104.80.127.254104.80.127.25532,766
162104.80.128.0/17104.80.128.1 to 104.80.255.254104.80.255.25532,766
163104.81.0.0/17104.81.0.1 to 104.81.127.254104.81.127.25532,766
164104.81.128.0/17104.81.128.1 to 104.81.255.254104.81.255.25532,766
165104.82.0.0/17104.82.0.1 to 104.82.127.254104.82.127.25532,766
166104.82.128.0/17104.82.128.1 to 104.82.255.254104.82.255.25532,766
167104.83.0.0/17104.83.0.1 to 104.83.127.254104.83.127.25532,766
168104.83.128.0/17104.83.128.1 to 104.83.255.254104.83.255.25532,766
169104.84.0.0/17104.84.0.1 to 104.84.127.254104.84.127.25532,766
170104.84.128.0/17104.84.128.1 to 104.84.255.254104.84.255.25532,766
171104.85.0.0/17104.85.0.1 to 104.85.127.254104.85.127.25532,766
172104.85.128.0/17104.85.128.1 to 104.85.255.254104.85.255.25532,766
173104.86.0.0/17104.86.0.1 to 104.86.127.254104.86.127.25532,766
174104.86.128.0/17104.86.128.1 to 104.86.255.254104.86.255.25532,766
175104.87.0.0/17104.87.0.1 to 104.87.127.254104.87.127.25532,766
176104.87.128.0/17104.87.128.1 to 104.87.255.254104.87.255.25532,766
177104.88.0.0/17104.88.0.1 to 104.88.127.254104.88.127.25532,766
178104.88.128.0/17104.88.128.1 to 104.88.255.254104.88.255.25532,766
179104.89.0.0/17104.89.0.1 to 104.89.127.254104.89.127.25532,766
180104.89.128.0/17104.89.128.1 to 104.89.255.254104.89.255.25532,766
181104.90.0.0/17104.90.0.1 to 104.90.127.254104.90.127.25532,766
182104.90.128.0/17104.90.128.1 to 104.90.255.254104.90.255.25532,766
183104.91.0.0/17104.91.0.1 to 104.91.127.254104.91.127.25532,766
184104.91.128.0/17104.91.128.1 to 104.91.255.254104.91.255.25532,766
185104.92.0.0/17104.92.0.1 to 104.92.127.254104.92.127.25532,766
186104.92.128.0/17104.92.128.1 to 104.92.255.254104.92.255.25532,766
187104.93.0.0/17104.93.0.1 to 104.93.127.254104.93.127.25532,766
188104.93.128.0/17104.93.128.1 to 104.93.255.254104.93.255.25532,766
189104.94.0.0/17104.94.0.1 to 104.94.127.254104.94.127.25532,766
190104.94.128.0/17104.94.128.1 to 104.94.255.254104.94.255.25532,766
191104.95.0.0/17104.95.0.1 to 104.95.127.254104.95.127.25532,766
192104.95.128.0/17104.95.128.1 to 104.95.255.254104.95.255.25532,766
193104.96.0.0/17104.96.0.1 to 104.96.127.254104.96.127.25532,766
194104.96.128.0/17104.96.128.1 to 104.96.255.254104.96.255.25532,766
195104.97.0.0/17104.97.0.1 to 104.97.127.254104.97.127.25532,766
196104.97.128.0/17104.97.128.1 to 104.97.255.254104.97.255.25532,766
197104.98.0.0/17104.98.0.1 to 104.98.127.254104.98.127.25532,766
198104.98.128.0/17104.98.128.1 to 104.98.255.254104.98.255.25532,766
199104.99.0.0/17104.99.0.1 to 104.99.127.254104.99.127.25532,766
200104.99.128.0/17104.99.128.1 to 104.99.255.254104.99.255.25532,766
201104.100.0.0/17104.100.0.1 to 104.100.127.254104.100.127.25532,766
202104.100.128.0/17104.100.128.1 to 104.100.255.254104.100.255.25532,766
203104.101.0.0/17104.101.0.1 to 104.101.127.254104.101.127.25532,766
204104.101.128.0/17104.101.128.1 to 104.101.255.254104.101.255.25532,766
205104.102.0.0/17104.102.0.1 to 104.102.127.254104.102.127.25532,766
206104.102.128.0/17104.102.128.1 to 104.102.255.254104.102.255.25532,766
207104.103.0.0/17104.103.0.1 to 104.103.127.254104.103.127.25532,766
208104.103.128.0/17104.103.128.1 to 104.103.255.254104.103.255.25532,766
209104.104.0.0/17104.104.0.1 to 104.104.127.254104.104.127.25532,766
210104.104.128.0/17104.104.128.1 to 104.104.255.254104.104.255.25532,766
211104.105.0.0/17104.105.0.1 to 104.105.127.254104.105.127.25532,766
212104.105.128.0/17104.105.128.1 to 104.105.255.254104.105.255.25532,766
213104.106.0.0/17104.106.0.1 to 104.106.127.254104.106.127.25532,766
214104.106.128.0/17104.106.128.1 to 104.106.255.254104.106.255.25532,766
215104.107.0.0/17104.107.0.1 to 104.107.127.254104.107.127.25532,766
216104.107.128.0/17104.107.128.1 to 104.107.255.254104.107.255.25532,766
217104.108.0.0/17104.108.0.1 to 104.108.127.254104.108.127.25532,766
218104.108.128.0/17104.108.128.1 to 104.108.255.254104.108.255.25532,766
219104.109.0.0/17104.109.0.1 to 104.109.127.254104.109.127.25532,766
220104.109.128.0/17104.109.128.1 to 104.109.255.254104.109.255.25532,766
221104.110.0.0/17104.110.0.1 to 104.110.127.254104.110.127.25532,766
222104.110.128.0/17104.110.128.1 to 104.110.255.254104.110.255.25532,766
223104.111.0.0/17104.111.0.1 to 104.111.127.254104.111.127.25532,766
224104.111.128.0/17104.111.128.1 to 104.111.255.254104.111.255.25532,766
225104.112.0.0/17104.112.0.1 to 104.112.127.254104.112.127.25532,766
226104.112.128.0/17104.112.128.1 to 104.112.255.254104.112.255.25532,766
227104.113.0.0/17104.113.0.1 to 104.113.127.254104.113.127.25532,766
228104.113.128.0/17104.113.128.1 to 104.113.255.254104.113.255.25532,766
229104.114.0.0/17104.114.0.1 to 104.114.127.254104.114.127.25532,766
230104.114.128.0/17104.114.128.1 to 104.114.255.254104.114.255.25532,766
231104.115.0.0/17104.115.0.1 to 104.115.127.254104.115.127.25532,766
232104.115.128.0/17104.115.128.1 to 104.115.255.254104.115.255.25532,766
233104.116.0.0/17104.116.0.1 to 104.116.127.254104.116.127.25532,766
234104.116.128.0/17104.116.128.1 to 104.116.255.254104.116.255.25532,766
235104.117.0.0/17104.117.0.1 to 104.117.127.254104.117.127.25532,766
236104.117.128.0/17104.117.128.1 to 104.117.255.254104.117.255.25532,766
237104.118.0.0/17104.118.0.1 to 104.118.127.254104.118.127.25532,766
238104.118.128.0/17104.118.128.1 to 104.118.255.254104.118.255.25532,766
239104.119.0.0/17104.119.0.1 to 104.119.127.254104.119.127.25532,766
240104.119.128.0/17104.119.128.1 to 104.119.255.254104.119.255.25532,766
241104.120.0.0/17104.120.0.1 to 104.120.127.254104.120.127.25532,766
242104.120.128.0/17104.120.128.1 to 104.120.255.254104.120.255.25532,766
243104.121.0.0/17104.121.0.1 to 104.121.127.254104.121.127.25532,766
244104.121.128.0/17104.121.128.1 to 104.121.255.254104.121.255.25532,766
245104.122.0.0/17104.122.0.1 to 104.122.127.254104.122.127.25532,766
246104.122.128.0/17104.122.128.1 to 104.122.255.254104.122.255.25532,766
247104.123.0.0/17104.123.0.1 to 104.123.127.254104.123.127.25532,766
248104.123.128.0/17104.123.128.1 to 104.123.255.254104.123.255.25532,766
249104.124.0.0/17104.124.0.1 to 104.124.127.254104.124.127.25532,766
250104.124.128.0/17104.124.128.1 to 104.124.255.254104.124.255.25532,766
251104.125.0.0/17104.125.0.1 to 104.125.127.254104.125.127.25532,766
252104.125.128.0/17104.125.128.1 to 104.125.255.254104.125.255.25532,766
253104.126.0.0/17104.126.0.1 to 104.126.127.254104.126.127.25532,766
254104.126.128.0/17104.126.128.1 to 104.126.255.254104.126.255.25532,766
255104.127.0.0/17104.127.0.1 to 104.127.127.254104.127.127.25532,766
256104.127.128.0/17104.127.128.1 to 104.127.255.254104.127.255.25532,766

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses